package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveWatchConfig;

/**
 * 直播观看奖励设置Mapper接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface LiveWatchConfigMapper extends BaseMapper<LiveWatchConfig>{
    /**
     * 查询直播观看奖励设置
     *
     * @param id 直播观看奖励设置主键
     * @return 直播观看奖励设置
     */
    LiveWatchConfig selectLiveWatchConfigById(Long id);

    /**
     * 查询直播观看奖励设置列表
     *
     * @param liveWatchConfig 直播观看奖励设置
     * @return 直播观看奖励设置集合
     */
    List<LiveWatchConfig> selectLiveWatchConfigList(LiveWatchConfig liveWatchConfig);

    /**
     * 新增直播观看奖励设置
     *
     * @param liveWatchConfig 直播观看奖励设置
     * @return 结果
     */
    int insertLiveWatchConfig(LiveWatchConfig liveWatchConfig);

    /**
     * 修改直播观看奖励设置
     *
     * @param liveWatchConfig 直播观看奖励设置
     * @return 结果
     */
    int updateLiveWatchConfig(LiveWatchConfig liveWatchConfig);

    /**
     * 删除直播观看奖励设置
     *
     * @param id 直播观看奖励设置主键
     * @return 结果
     */
    int deleteLiveWatchConfigById(Long id);

    /**
     * 批量删除直播观看奖励设置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveWatchConfigByIds(Long[] ids);
}
